Package net.snowflake.client.core.crl

## Class CrlRevocationManager

- java.lang.Object
- - net.snowflake.client.core.crl.CrlRevocationManager

    @SnowflakeJdbcInternalApi
    public class CrlRevocationManager
    extends Object

### Constructor Summary

Constructors
`CrlRevocationManager​(HttpClientSettingsKey key, X509TrustManager trustManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validateRevocationStatus​(X509Certificate[] chain, String authType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrlRevocationManager

    public CrlRevocationManager​(HttpClientSettingsKey key,
                                X509TrustManager trustManager)
                         throws CertificateException

Throws:
  `CertificateException`

### Method Detail

#### validateRevocationStatus

    public void validateRevocationStatus​(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

Throws:
  `CertificateException`